Apple iTunes < 10.0 Multiple Vulnerabilities (uncredentialed check)

High Nessus Plugin ID 49087

Synopsis

The remote host contains a multimedia application that has multiple vulnerabilities.

Description

The version of Apple iTunes on the remote host is prior to version 10.0. It is, therefore, affected by multiple vulnerabilities in the WebKit component. Note that these only affect WebKit for Windows.

Solution

Upgrade to Apple iTunes 10.0 or later.

See Also

http://support.apple.com/kb/HT4328

http://lists.apple.com/archives/security-announce/2010/Sep/msg00000.html

Plugin Details

Severity: High

ID: 49087

File Name: itunes_10_0_banner.nasl

Version: $Revision: 1.13 $

Type: remote

Published: 2010/09/02

Modified: 2016/05/16

Dependencies: 20217

Risk Information

Risk Factor: High

CVSSv2

Base Score: 9.3

Temporal Score: 7.7

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:F/RL:OF/RC:ND

Vulnerability Information

CPE: cpe:/a:apple:itunes

Required KB Items: iTunes/sharing

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2010/09/01

Vulnerability Publication Date: 2010/07/21

Reference Information

CVE: CVE-2010-1780, CVE-2010-1782, CVE-2010-1783, CVE-2010-1784, CVE-2010-1785, CVE-2010-1786, CVE-2010-1787, CVE-2010-1788, CVE-2010-1789, CVE-2010-1790, CVE-2010-1791, CVE-2010-1792, CVE-2010-1793

BID: 42034, 42035, 42036, 42037, 42038, 42041, 42042, 42043, 42044, 42045, 42046, 42048, 42049